from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSupportedLocales(XInterface, Protocol):
    def getLocales(self) -> list[Locale]: ...
    def hasLocale(self, aLocale: Locale) -> bool: ...
